<c:FragmentDefinition
	xmlns:l="sap.ui.layout"
	xmlns:c="sap.ui.core"
	xmlns:tnt="sap.tnt"
    xmlns:f="sap.ui.layout.form"
	xmlns:mvc="sap.ui.c.mvc"
    xmlns="sap.ui.table"
	xmlns:u="sap.ui.unified"
	xmlns:m="sap.m"
>


        <!-- Init Table  -->

            <Table
				rows="{/Lines}"
				selectionMode="MultiToggle"
				visibleRowCount="8">
				<toolbar>
					<m:Toolbar>
						<m:content>
						<m:Text text="{i18n>requestPurchaseLine.Items}" width="8rem" />
                        <c:Icon
                            src="sap-icon://add-product"
                            class="size1"
                            color="green" >
                            <c:layoutData>
                                <m:FlexItemData growFactor="1" />
                            </c:layoutData>
                        </c:Icon>
						 <m:SearchField
								id="searchField"
							    search="_onFilter"
                            	mode="MultiSelect"
								width="85%"
                                onReset="_onReset"
                            />
							<m:ToolbarSpacer/>
							<m:Button type="Reject" id="ButtonRemove" icon="sap-icon://delete" text="{i18n>Commom.Remove}" press="onRemoveLine"/>
							<m:Button type="Accept" id="ButtonAdd" icon="sap-icon://add-product" text="{i18n>Commom.Add}" press="onAddNewLine"/>
						</m:content>
					</m:Toolbar>
				</toolbar>

				<columns>
					<Column width="11rem">
						<m:Label text="{i18n>requestPurchaseLine.ItemNum}" />
						<template>
							<m:Input value="{Item}" />
						</template>
					</Column>
					<Column width="11rem">
						<m:Label text="{i18n>requestPurchaseLine.ItemCode}" />
						<template>
							<m:Input value="{Item}" />

						</template>
					</Column>


					<Column width="11rem" hAlign="Center">
						<m:Label text="{i18n>requestPurchaseLine.CodeUm}" />
						<template>
							<m:Select
								selectedKey="{UmName}"
								items="{
									path: 'Measurement>/',
									templateShareable: false
								}">
								<c:Item key="{Measurement>Name}" text="{Measurement>Name}" />
							</m:Select>
						</template>
					</Column>



					<Column width="6rem" hAlign="End">
						<m:Label text="{i18n>requestPurchaseLine.ItemDescription}" />
						<template>
							<m:Input value="{Item}" />

						</template>
					</Column>
					<Column width="9rem">
						<m:Label text="{i18n>requestPurchaseLine.ItemSpecification}" />
						<template>
							
							
							<m:Input value="{Item}" />
							


						</template>
					</Column>
					<Column width="9rem">
						<m:Label text="{i18n>requestPurchaseLine.NameOfMeasurement}" />
						<template>
							<m:Input value="{Item}" />

						</template>
					</Column>
					<Column width="12rem">
						<m:Label text="{i18n>requestPurchaseLine.Quantity}" />
						<template>
							<m:Input value="{Item}" />

						</template>
					</Column>
					<Column width="9rem">
						<m:Label text="{i18n>requestPurchaseLine.PriceInfo}" />
						<template>
							<m:Input value="{Item}" />

						</template>
					</Column>
					<Column width="9rem">
						<m:Label text="{i18n>requestPurchaseLine.Discount}" />
						<template>
							<m:Input value="{Item}" />

						</template>
					</Column>
					<Column width="7rem">
						<m:Label text="{i18n>requestPurchaseLine.TaxeCode}" />
						<template>
						
							<m:Input value="{Item}" />

						</template>
					</Column>
					<Column width="12rem">
						<m:Label text="{i18n>requestPurchaseLine.TotalMc}" />
						<template>
							<m:Input value="{Item}" />

						</template>
					</Column>
					<Column width="6rem" hAlign="Center">
						<m:Label text="{i18n>requestPurchaseLine.CountFinancial}" />
						<template>
							<c:Icon src="{
								path: 'Available',
								formatter: '.formatAvailableToIcon'
							}"/>
						</template>
					</Column>
					




				</columns>
			</Table>

            <!-- Close Table  -->



</c:FragmentDefinition>